OSX/scons: fix compiling on the new OSX 10.8 (Mountain Lion) with delivered Xcode 4.4
[blender.git] / SConstruct
index 1da1334f1f0daacb2c4fe3476ee69fd6552a60c7..681e3964a1393692dcee8e824de1096a60b17c4d 100644 (file)
@@ -280,8 +280,10 @@ if 'blenderlite' in B.targets:
 if env['OURPLATFORM']=='darwin':
     print B.bc.OKGREEN + "Detected Xcode version: -- " + B.bc.ENDC + env['XCODE_CUR_VER'] + " --"
     print "Available " + env['MACOSX_SDK_CHECK']
-    if not 'Mac OS X 10.5' in env['MACOSX_SDK_CHECK']:
-        print  B.bc.OKGREEN + "MacOSX10.5.sdk not available:" + B.bc.ENDC + " using MacOSX10.6.sdk"
+    if not 'Mac OS X 10.6' in env['MACOSX_SDK_CHECK']:
+        print  B.bc.OKGREEN + "Auto-setting available MacOSX SDK -> " + B.bc.ENDC + "MacOSX10.7.sdk"
+    elif not 'Mac OS X 10.5' in env['MACOSX_SDK_CHECK']:
+        print  B.bc.OKGREEN + "Auto-setting available MacOSX SDK -> " + B.bc.ENDC + "MacOSX10.6.sdk"
     else:
         print B.bc.OKGREEN + "Found recommended sdk :" + B.bc.ENDC + " using MacOSX10.5.sdk"
 
@@ -769,13 +771,13 @@ if env['OURPLATFORM'] == 'win64-mingw':
     if env['WITH_BF_SDL']:
         dllsources.append('${LCGDIR}/sdl/lib/SDL.dll')
        
-       if(env['WITH_BF_OPENMP'])
+       if(env['WITH_BF_OPENMP']):
                dllsources.append('${LCGDIR}/binaries/libgomp-1.dll')
        
     dllsources.append('${LCGDIR}/thumbhandler/lib/BlendThumb64.dll')
     dllsources.append('${LCGDIR}/binaries/libgcc_s_sjlj-1.dll')
-       dllsources.append('${LCGDIR}/binaries/libwinpthread-1.dll')
-       dllsources.append('${LCGDIR}/binaries/libstdc++-6.dll)')
+    dllsources.append('${LCGDIR}/binaries/libwinpthread-1.dll')
+    dllsources.append('${LCGDIR}/binaries/libstdc++-6.dll')
     dllsources.append('#source/icons/blender.exe.manifest')
 
     windlls = env.Install(dir=env['BF_INSTALLDIR'], source = dllsources)